Subject: [bug#77033] [PATCH] deploy: Support --target and --system.

From: Roman Scherer <[email-masked]>
Date: Sun, 16 Mar 2025 12:42:17 +0100

Hello Sergey,

this looks good to me and is better than what we have now. I'm testing
this right now and will report back when it went through ...

But I'm wondering if the target architecture should ideally be choosen
per machine. Say you have 2 machines with different architectures in a
list of machines you want to deploy.

I don't see a "system" field in the machine or operating system
record. So I'm not sure if we have a way to infer that yet.

Would it make sense to add such a field and chose the target
architecture per machine?

Thanks, Roman.